# BEGIN SourceDeps(oneline):
BuildRequires: /usr/sbin/lighttpd perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(FCGI/Engine.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec/Functions.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Moose.pm) perl(MooseX/Types/Path/Class.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Path/Class.pm) perl(Socket.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/WWW/Mechanize.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name Lighttpd-Control
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Simple class to manage a Lighttpd server
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/ST/STEVAN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This is a packaging and cleaning up of a script we have been using
for a while now to manage our Lighttpd servers. This is an early
release with only the bare bones functionality we needed, future
releases will surely include more functionality. Suggestions and
crazy ideas welcomed, especially in the form of patches with tests.

Also note the recently uploaded the Nginx::Control manpage and the Sphinx::Control manpage
both of which are based on this module but for different servers.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/L*

%changelog
* Thu Oct 17 2013 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

